Test::Int::Cumulatives::Event Class Reference

Event to be scheduled More...

## Public Member Functions

| Event (int pos, int height, bool s)
bool | operator< (const Event &e) const
| Test whether this event is before event e

## Public Attributes

int | p
int | h
| Position and height of event.
bool | start
| Whether event has just started Initialize event.

## Detailed Description

Event to be scheduled

Definition at line 129 of file cumulatives.cpp.

## Constructor & Destructor Documentation

## Event()

Test::Int::Cumulatives::Event::Event | ( | int | pos,
|  | int | height,
|  | bool | s )

inline

Definition at line 134 of file cumulatives.cpp.

## Member Function Documentation

## operator<()

bool Test::Int::Cumulatives::Event::operator< | ( | const Event & | e | ) | const

inline

Test whether this event is before event e

Definition at line 136 of file cumulatives.cpp.

## Member Data Documentation

## p

int Test::Int::Cumulatives::Event::p

Definition at line 131 of file cumulatives.cpp.

## h

int Test::Int::Cumulatives::Event::h

Position and height of event.

Definition at line 131 of file cumulatives.cpp.

## start

bool Test::Int::Cumulatives::Event::start

Whether event has just started Initialize event.

Definition at line 132 of file cumulatives.cpp.

The documentation for this class was generated from the following file:

- test/int/cumulatives.cpp